## ros-galactic-ros-ign-bridge 0.233.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_bridge)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(ros_ign_interfaces REQUIRED)
find_package(rosgraph_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)

# Fortress
if("$ENV{IGNITION_VERSION}" STREQUAL "fortress")
  find_package(ignition-transport11 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

  find_package(ignition-msgs8 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Fortress")
# Default to Edifice
else()
  find_package(ignition-transport10 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
endif()

set(PACKAGES
  std_msgs
  geometry_msgs
  nav_msgs
  tf2_msgs
  ros_ign_interfaces
  rosgraph_msgs
  sensor_msgs
  trajectory_msgs
)

add_library(bridge_utils
  STATIC
  src/convert/utils.cpp
)
target_include_directories(bridge_utils
  PRIVATE src
)
set_target_properties(bridge_utils PROPERTIES POSITION_INDEPENDENT_CODE ON)

foreach(PKG ${PACKAGES})
  add_library(${PKG}_bridge
    STATIC
    src/convert/${PKG}.cpp
    src/factories/${PKG}.cpp
  )
  target_include_directories(${PKG}_bridge
    PUBLIC include
    PRIVATE src
  )
  ament_target_dependencies(${PKG}_bridge
    "${PKG}"
  )
  target_link_libraries(${PKG}_bridge
    bridge_utils
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  set_target_properties(${PKG}_bridge
    PROPERTIES POSITION_INDEPENDENT_CODE ON)

endforeach()

set(bridge_executables
  parameter_bridge
  static_bridge
)

set(bridge_lib
  ros_ign_bridge_lib
)

add_library(${bridge_lib}
  SHARED
  src/factories.cpp
)

target_include_directories(${bridge_lib}
  PUBLIC include
  PRIVATE src
)

foreach(PKG ${PACKAGES})
  target_link_libraries(${bridge_lib} ${PKG}_bridge)
endforeach()

install(TARGETS ${bridge_lib}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)
ament_export_libraries(${bridge_lib})

foreach(bridge ${bridge_executables})
  add_executable(${bridge}
    src/${bridge}.cpp
  )
  target_link_libraries(${bridge}
    ${bridge_lib}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  ament_target_dependencies(${bridge}
    "rclcpp"
    ${PACKAGES}
  )
  install(TARGETS ${bridge}
    DESTINATION lib/${PROJECT_NAME}
  )
endforeach()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  ament_find_gtest()

  add_library(test_utils
    test/utils/ign_test_msg.cpp
    test/utils/ros_test_msg.cpp
  )

  target_include_directories(test_utils
    PUBLIC test ${GTEST_INCLUDE_DIRS}
  )
  target_link_libraries(test_utils
    ${GTEST_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  ament_target_dependencies(test_utils
    geometry_msgs
    nav_msgs
    rclcpp
    ros_ign_interfaces
    rosgraph_msgs
    sensor_msgs
    std_msgs
    tf2_msgs
    trajectory_msgs
  )

  add_executable(test_ros_publisher test/publishers/ros_publisher.cpp)
  target_link_libraries(test_ros_publisher test_utils)

  add_executable(test_ros_subscriber
        test/subscribers/ros_subscriber/ros_subscriber.cpp
        test/subscribers/ros_subscriber/geometry_msgs_subscriber.cpp
        test/subscribers/ros_subscriber/nav_msgs_subscriber.cpp
        test/subscribers/ros_subscriber/ros_ign_interfaces_subscriber.cpp
        test/subscribers/ros_subscriber/rosgraph_msgs_subscriber.cpp
        test/subscribers/ros_subscriber/sensor_msgs_subscriber.cpp
        test/subscribers/ros_subscriber/std_msgs_subscriber.cpp
        test/subscribers/ros_subscriber/trajectory_msgs_subscriber.cpp)

  target_link_libraries(test_ros_subscriber test_utils)

  add_executable(test_ign_publisher test/publishers/ign_publisher.cpp)
  target_link_libraries(test_ign_publisher test_utils)

  add_executable(test_ign_subscriber test/subscribers/ign_subscriber.cpp)
  target_link_libraries(test_ign_subscriber test_utils)

  install(TARGETS
    test_ros_publisher
    test_ros_subscriber
    test_ign_publisher
    test_ign_subscriber
    DESTINATION lib/${PROJECT_NAME}
  )

  add_launch_test(test/launch/test_ros_subscriber.launch.py
    TIMEOUT 200
  )

  add_launch_test(test/launch/test_ign_subscriber.launch.py
    TIMEOUT 200
  )
endif()

ament_export_dependencies(
  rclcpp
  ${PACKAGES}
)

ament_package()

=== debian/changelog ===
ros-galactic-ros-ign-bridge (0.233.4-1focal) focal; urgency=high

  * [galactic] backport test memory usage improvements (#215 <https://github.com/ignitionrobotics/ros_ign/issues/215>)
    - Improve modularity of ign/ros publisher tests (#194 <https://github.com/ignitionrobotics/ros_ign/issues/194>)
    - Break apart ros_subscriber test translation unit (#212 <https://github.com/ignitionrobotics/ros_ign/issues/212>)
    - Fix deprecated parameter declaration
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Mon, 07 Feb 2022 06:00:00 -0000

ros-galactic-ros-ign-bridge (0.233.3-1focal) focal; urgency=high

  * Separate galactic branch from ros2 branch (#201 <https://github.com/osrf/ros_ign/issues/201>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/osrf/ros_ign/issues/199>)
  * New Light Message, also bridge Color (#187 <https://github.com/osrf/ros_ign/issues/187>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
  * Statically link each translation unit (#193 <https://github.com/osrf/ros_ign/issues/193>)
  * Break apart convert and factories translation unit (#192 <https://github.com/osrf/ros_ign/issues/192>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Fixed ROS subscriber test in ros_ign_bridge (#189 <https://github.com/osrf/ros_ign/issues/189>)
  * Enable QoS overrides (#181 <https://github.com/osrf/ros_ign/issues/181>)
  * Fixed ros ign bridge documentation (#178 <https://github.com/osrf/ros_ign/issues/178>)
  * Expose Contacts through ROS bridge (#175 <https://github.com/osrf/ros_ign/issues/175>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Michael Carroll, Vatan Aksoy Tezer, William Lew

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 06:00:00 -0000

ros-galactic-ros-ign-bridge (0.233.2-1focal) focal; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/osrf/ros_ign/issues/164>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 05:00:00 -0000

ros-galactic-ros-ign-bridge (0.233.1-1focal) focal; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/osrf/ros_ign/issues/150>)
  * Ignore local publications for ROS 2 subscriber (#146 <https://github.com/osrf/ros_ign/issues/146>)
    - Note: Does not work with all rmw implementations (e.g.: FastRTPS)
  * Update documentation for installation instructions and bridge examples (#142 <https://github.com/osrf/ros_ign/issues/142>)
  * Edifice support (#140 <https://github.com/osrf/ros_ign/issues/140>)
  * Add JointTrajectory message conversion (#121 <https://github.com/osrf/ros_ign/issues/121>)
    Conversion between
    - ignition::msgs::JointTrajectory
    - trajectory_msgs::msg::JointTrajectory
  * Add TFMessage / Pose_V and Float64 / Double conversions (#117 <https://github.com/osrf/ros_ign/issues/117>)
    Addresses issue #116 <https://github.com/osrf/ros_ign/issues/116>
  * Updated prereq & branch name (#113 <https://github.com/osrf/ros_ign/issues/113>)
  * Update releases (#108 <https://github.com/osrf/ros_ign/issues/108>)
  * Updated README.md (#104 <https://github.com/osrf/ros_ign/issues/104>)
  * Add support for Dome (#103 <https://github.com/osrf/ros_ign/issues/103>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Florent Audonnet, Jenn, Louise Poubel, Luca Della Vedova

 -- Louise Poubel <louise@openrobotics.org>  Fri, 16 Apr 2021 05:00:00 -0000

ros-galactic-ros-ign-bridge (0.221.1-1focal) focal; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/osrf/ros_ign/issues/102>)
  * Port ros_ign_bridge tests to ROS 2 (#98 <https://github.com/osrf/ros_ign/issues/98>)
  * Rename test_utils.hpp (#98 <https://github.com/osrf/ros_ign/issues/98>)
  * Contributors: Louise Poubel, ahcorde

 -- Louise Poubel <louise@openrobotics.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-galactic-ros-ign-bridge (0.221.0-1focal) focal; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Move headers to src, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Integer support (#91 <https://github.com/osrf/ros_ign/issues/91>)
    Adds Int32 to the bridge.
  * [ros2] Fixed CI - Added Foxy (#89 <https://github.com/osrf/ros_ign/issues/89>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Ignore ros-args in parameter bridge (#65 <https://github.com/osrf/ros_ign/issues/65>)
  * Update Dashing docs (#62 <https://github.com/osrf/ros_ign/issues/62>)
  * Update dependencies to Citadel (#57 <https://github.com/osrf/ros_ign/issues/57>)
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/osrf/ros_ign/issues/58>)
    Port ros_ign_image to ROS2
    Port ros_ign_gazebo_demos to ROS2
  * Add support for std_msgs/Empty (#53 <https://github.com/osrf/ros_ign/issues/53>)
  * Add support for std_msgs/Bool (#50 <https://github.com/osrf/ros_ign/issues/50>)
  * [ros2] Port ros_ign_bridge to ROS2 (#45 <https://github.com/osrf/ros_ign/issues/45>)
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/osrf/ros_ign/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Addisu Taddese, Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, Luca Della Vedova, Michael Carroll, Mohamed Ahmed, Shivesh Khaitan, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-galactic-ros-ign-bridge (0.7.0-1focal) focal; urgency=high

  * Merge pull request #38 <https://github.com/osrf/ros1_ign_bridge/issues/38> from osrf/unidirectional
    Support unidirectional bridge topics
  * More examples
  * Merge pull request #37 <https://github.com/osrf/ros1_ign_bridge/issues/37> from osrf/debug


=== debian/control ===
Source: ros-galactic-ros-ign-bridge
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs7-dev, libignition-transport10-dev, pkg-config, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-geometry-msgs, ros-galactic-launch-ros, ros-galactic-launch-testing, ros-galactic-launch-testing-ament-cmake, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-ros-ign-interfaces, ros-galactic-rosgraph-msgs, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-tf2-msgs, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ros-ign-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs7-dev, libignition-transport10-dev, ros-galactic-geometry-msgs, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-ros-ign-interfaces, ros-galactic-rosgraph-msgs, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-tf2-msgs, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Description: Bridge communication between ROS and Ignition Transport

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ros-ign-bridge//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
